Bug 1316246 - [RFE] find out if foreman-installer --upgrade was run after yum update
[RFE] find out if foreman-installer --upgrade was run after yum update
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer (Show other bugs)
6.1.8
x86_64 Linux
medium Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: FutureFeature, Triaged, UserExperience
Depends On:
Blocks: 260381 GSS_Sat6Beta_Tracker/GSS_Sat6_Tracker
  Show dependency treegraph
 
Reported: 2016-03-09 13:53 EST by Chris Roberts
Modified: 2018-01-30 09:04 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 16940 None None None 2016-10-14 09:50 EDT

  None (edit)
Description Chris Roberts 2016-03-09 13:53:46 EST
Description of problem:
When running a yum update with a minor release, alot of times the --upgrade flag is not run with katello-installer which can result in multiple issues.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. install 6.1 latest then when next minor release comes out just do a yum update 

Actual results:
Satellite will experience issues at some point in the future.

Expected results:
have a way to verify if ## katello-installer --upgrade" was run after a yum update.

Additional info:
Comment 3 Daniel Lobato Garcia 2016-04-14 06:30:30 EDT
Not sure this is 'the fix' for this, but this might catch some errors on upgrade: https://github.com/theforeman/foreman/pull/3426
Comment 4 Stephen Benjamin 2016-10-14 09:50:48 EDT
Created redmine issue http://projects.theforeman.org/issues/16940 from this bug

Note You need to log in before you can comment on or make changes to this bug.